GET /api/v3/applications/{lcuid}/data-source-providers¶
Summary¶
GET /v3/applications/{lcuid}/data-source-providers Return the data source providers for an application
Tags: applications
Parameters¶
Header Parameters¶
| Name | Type | Required | Description | Example |
|---|---|---|---|---|
Authorization |
string |
✓ Yes | Bearer {AuthToken} |
|
Content-Type |
string |
✓ Yes | application/json |
|
Accept |
string |
✓ Yes | application/json |
|
AppIdV3 |
string |
✓ Yes | LCUID-LAP-********-****-****-****-************ |
Responses¶
Response: 200¶
Description: Sample Response
Content Type: application/json¶
Schema¶
Type: object
Properties:
success(boolean)data_source_providers(array): The data source providers-
Array items:
objectType:objectProperties:
name(string)inventory_item_class(array)- Array items:
string inventory_item_class_description(string)options(object) Type:object
Properties:
-
primary_image_public_url(string) -
lcuid(string) active(boolean)status(integer)status_comments(string)description(string)created_at(string)updated_at(string)
Example Response¶
{
"success": true,
"data_source_providers": [
{
"name": "Unit Test RT5rsIzr3N - Inventory Feed Provider",
"inventory_item_class": [
"App\\LuCore\\InventoryItems\\GenericInventoryItemClass"
],
"inventory_item_class_description": "Generic",
"options": {
"primary_image_public_url": null
},
"lcuid": "LCUID-LFP-e5ccfac0-16c2-4e28-8cd9-e9348660e62b",
"active": true,
"status": 1,
"status_comments": null,
"description": "Inventory Feed Provider Unit Test",
"created_at": "2026-01-08T23:28:28.000000Z",
"updated_at": "2026-01-08T23:28:28.000000Z"
}
]
}
Example Implementations¶
Bash (cURL)¶
curl --request GET \
--url "https://api.lucit.app/api/v3/applications/{lcuid}/data-source-providers" \
--header "Authorization: Bearer {AuthToken}" \
--header "Content-Type: application/json" \
--header "Accept: application/json" \
--header "AppIdV3: LCUID-LAP-********-****-****-****-************"
JavaScript (Fetch API)¶
const url = "https://api.lucit.app/api/v3/applications/{lcuid}/data-source-providers";
const headers = {
"Authorization": "Bearer {AuthToken}",
"Content-Type": "application/json",
"Accept": "application/json",
"AppIdV3": "LCUID-LAP-********-****-****-****-************"
};
fetch(url, {
method: "GET",
headers: headers
})
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error('Error:', error));
PHP (Guzzle)¶
<?php
require_once 'vendor/autoload.php';
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://api.lucit.app/api/v3/applications/{lcuid}/data-source-providers', [
'headers' => [
'Authorization' => 'Bearer {AuthToken}',
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'AppIdV3' => 'LCUID-LAP-********-****-****-****-************',
]
]);
$body = $response->getBody();
$data = json_decode($body, true);
print_r($data);
Python (Requests)¶
import requests
import json
url = "https://api.lucit.app/api/v3/applications/{lcuid}/data-source-providers"
headers = {
"Authorization": "Bearer {AuthToken}",
"Content-Type": "application/json",
"Accept": "application/json",
"AppIdV3": "LCUID-LAP-********-****-****-****-************"
}
response = requests.get(url, headers=headers)
print(response.json())